Subject: Re: Summary of revised Last Call on draft-ietf-ipr-rules-update

From: Todd Glassey <[email-masked]>
Date: Fri, 18 Aug 2006 08:35:55 -0700 (GMT-07:00)

Simon - The phrase Non-Exclusive is inaccurate NO MATTER what you do to try and control it. The problem is the issue of the ownership of the IETF's Template and that submissions are derivative works.

Also since there is no real statement of what the Editor's are going to do to the IP submitted to convert it to that mysterious third Derivative, there is another issue. This whole process is a freakming nightmare - its spread across multiple documents and there is no process for controlling the IP.

By the way - when did the IETF decide to change its formal policies and was there anything that went out to the Constituency to get their approval of the new terms or notice that there were in fatc new terms for participation which would have to be agreed to? - No? 

Hmmmmm...

Todd Glassey

-----Original Message-----
>From: Simon Josefsson <[email-masked]>
>Sent: Aug 18, 2006 7:33 AM
>To: Harald Alvestrand <[email-masked]>
>Cc: IPR WG <[email-masked]>
>Subject: Re: Summary of revised Last Call on draft-ietf-ipr-rules-update
>
>Harald Alvestrand <[email-masked]> writes:
>
>> Simon,
>>
>> since you obviously have the documents in front of you:
>>
>> can you quote the exact sentences in -trust-update you object to on
>> this basis and the corresponding pieces of 3978, and send them to the
>> list?
>
>The core of the problem is in section 2.2 and 2.4 of trust-update,
>since that modify the legal language.  The rest follows from that
>change.  Section 2.2 and 2.4 from trust-update:
>
>,----
>| 2.2. Update Section 3.3
>| 
>|    In section 3.3 replace two instances of "ISOC and the IETF" and one
>|    instance of "IETF and ISOC" with "IETF Trust."
>...
>| 2.4. Update Section 4.2
>|
>|    In section 4.2 replace two instances of "ISOC and the IETF" and one
>|    instance of "IETF and ISOC" with "IETF Trust."
>`----
>
>RFC 3978 3.3 reads:
>
>   a. To the extent that a Contribution or any portion thereof is
>      protected by copyright and other rights of authorship, the
>      Contributor, and each named co-Contributor, and the organization
>      he or she represents or is sponsored by (if any) grant a
>      perpetual, irrevocable, non-exclusive, royalty-free, world-wide
>      right and license to the ISOC and the IETF under all intellectual
>      property rights in the Contribution:
>...
>      (C) unless explicitly disallowed in the notices contained in a
>          Contribution [as per Section 5.2 below], to prepare derivative
>          works (other than translations) that are based on or
>          incorporate all or part of the Contribution, or comment upon
>          it, within the IETF Standards Process.  The license to such
>          derivative works not granting the ISOC and the IETF any more
>          rights than the license to the original Contribution,
>...
>   b. The Contributor grants the IETF and ISOC permission to reference
>      the name(s) and address(es) of the Contributor(s) and of the
>      organization(s) s/he represents or is sponsored by (if any).
>
>And 4.2 reads:
>
>   a. To the extent that an RFC Editor Contribution or any portion
>      thereof is protected by copyright and other rights of authorship,
>      the Contributor, and each named co-Contributor, and the
>      organization he or she represents or is sponsored by (if any)
>      grant a perpetual, irrevocable, non-exclusive, royalty-free,
>      world-wide right and license to the ISOC and the IETF under all
>      intellectual property rights in the RFC Editor Contribution for at
>      least the life of the Internet-Draft:
>...
>      (C) unless explicitly disallowed in the notices contained in an
>          RFC Editor Contribution (as per Section 5.2 below), to prepare
>          derivative works (other than translations) that are based on
>          or incorporate all or part of the RFC Editor Contribution, or
>          comment upon it.  The license to such derivative works not
>          granting the ISOC and the IETF any more rights than the
>          license to the original RFC Editor Contribution, and
>...
>   b. The Contributor grants the IETF and ISOC permission to reference
>      the name(s) and address(es) of the Contributor(s) and of the
>      organization(s) s/he represents or is sponsored by (if any).
>
>I see no problem in saying "IETF and IETF Trust" in all of these
>places.
>
>The current text in trust-update modifies the license, and removes
>rights granted to "IETF".  That is not a editorial modification.
>
>If the urgency was the references to ISOC, using "IETF and IETF Trust"
>shouldn't be a problem.
>
>There are two minor parts too, mostly as a consequence to the above
>change:
>
>,----
>| 2.1. Update introduction
>| 
>|    In the third paragraph of Section 1 replace "IETF and Internet
>|    Society (ISOC)" with "IETF Trust" and replace "IETF and ISOC" with
>|    "IETF Trust."
>`----
>
>First, there is a typo here, "Section 1" should be "Section 2".
>Section 2 in RFC 3978 contains:
>
>   In order for works to be used within the IETF Standards Process or to
>   be published as Internet-Drafts, certain limited rights in all
>   Contributions must be granted to the IETF and Internet Society
>   (ISOC).  In addition, Contributors must make representations to IETF
>   and ISOC regarding their ability to grant these rights.
>
>I believe it would be more accurate to say "IETF" and "IETF Trust"
>here, if the changes to 2.2/2.4 above is implemented.
>
>,----
>| 2.9. Update Section 7.1
>| 
>|    In Section 7.1, replace two instances of "IETF/ISOC" with "IETF
>|    Trust".
>`----
>
>Section 7.1 reads:
>
>   The IETF/ISOC must obtain the right to publish an IETF Contribution
>   as an RFC or an Internet-Draft from the Contributors.
>...
>   The authors retain all other rights, but cannot withdraw the above
>   rights from the IETF/ISOC.
>
>Here, dropping "IETF" also seems wrong.
>
>> I remember some pieces of text where "IETF" really didn't make sense,
>> but can't remember whether or not those were the ones that got
>> changed.
>
>Agreed, in some places it doesn't make sense, but in the above places,
>I believe it makes sense.  "IETF" and "IETF Trust" are not the same
>legal entity.  The outgoing rights from the IETF Trust aren't clear to
>me, but presumably they aren't the same as those granted to the "IETF"
>in RFC 3978, and if so, mentioning both makes sense.
>
>> Standard rant: If a message goes out with "Last Call" in the title and
>> "B - Go forward with draft-ietf-ipr-ietf-trust-update-00" as one of
>> its options, I have a hard time understanding that you claim that we
>> haven't made a Last Call on the document....
>
>The WGLC was for draft-ietf-ipr-rules-update, which was what the title
>indicated.  There were no explicit request for comments on
>trust-update, and being on vacation, I didn't review the document, but
>took Steven's word for that it only updated ISOC->IETF Trust.
>
>I read the second last call as a last call on the decision on which
>document we should move forward with, and not a last call on getting
>comments on the document.  There is a subtle difference.
>
>Since the first call suggested that trust-update only changed "ISOC"
>into "IETF Trust", people may have assumed that trust-update did
>nothing more, and didn't review it further.
>
>An explicit WGLC on trust-update would have helped getting more review
>of trust-update (at least I know that I would have read the document
>earlier), but I understand that the time pressure didn't permit this.
>
>Thanks,
>Simon
>
>>                 Harald
>>
>> Simon Josefsson wrote:
>>> Harald Alvestrand <[email-masked]> writes:
>>>
>>>   
>>>> Based on this tally, the chairs will send
>>>> draft-ietf-ipr-ietf-trust-update-00 to the IESG for Last Call and
>>>> approval.
>>>>     
>>>
>>> I wish we could have a WGLC on the actual document first, though, but
>>> maybe there is no time.  In any case, here are my comments on the
>>> document.  If there is no time to address this before the Last Call,
>>> I'll send them again later.
>>>
>>> The document seems to go beyond changing "ISOC" into "IETF Trust",
>>> which was what one of the chairs indicated earlier:
>>>
>>> "Steven M. Bellovin" <[email-masked]> writes:
>>>
>>>   
>>>> If the WG is unhappy with this draft, we will proceed with
>>>> draft-ietf-ipr-ietf-trust-update-00.txt instead, a draft that changes
>>>> nothing but the ISOC->Trust text.
>>>>     
>>>
>>> Specifically, the document also changes "IETF" to "IETF Trust" in
>>> several places.  The definition of IETF is:
>>>
>>>    a. "IETF":  In the context of this document, the IETF includes all
>>>       individuals who participate in meetings, working groups, mailing
>>>       lists, functions and other activities which are organized or
>>>       initiated by ISOC, the IESG or the IAB under the general
>>>       designation of the Internet Engineering Task Force or IETF, but
>>>       solely to the extent of such participation.
>>>
>>> The "IETF" is not the same as the "IETF Trust".  Changing the former
>>> to the latter in the legalese modifies the rights granted directly to
>>> IETF participants.
>>>
>>> Those changes seems unwarranted and unrelated -- as far as I
>>> understood, the urgency is that RFC 3978 no longer should refer to
>>> ISOC, but instead reference the IETF Trust.
>>>
>>> Specifically, the urgency was _not_ that the references to "IETF" was
>>> problematic, so I believe we should not remove, in several places,
>>> that term in the document, but defer that change to other IPR WG
>>> decisions.
>>>
>>> Therefor, I request that draft-ietf-ipr-ietf-trust-update should be
>>> updated to only change "ISOC" and "Internet Society" to "IETF Trust".
>>> Do not also change "IETF" into "IETF Trust".
>>>
>>> Thanks,
>>> Simon
>>>
>>>   
>
>_______________________________________________
>Ipr-wg mailing list
>[email-masked]
>https://www1.ietf.org/mailman/listinfo/ipr-wg

_______________________________________________
Ipr-wg mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/ipr-wg

---

From: Todd Glassey <[email-masked]>
Date: Fri, 18 Aug 2006 08:57:21 -0700 (GMT-07:00)

There is a fundamental disconnect in this process - lets see if we cant shed some light on the problem...

1) When IP is submitted to the IETF's Editor's who owns it? - the problem is that the IP is already encapsulated in the IETF's template making the submission IP a derivative from the technology IP that the person submitting the work to the IETF a derivative that is technically owned by both parties - but that when the submitter conveys their rights against that to the IETF creates an instance where the IETF actually does hold exclusive rights to the derivative submission - which by US law requires a signature.

2) When the IETF's Editor's do anything to a work that creates another Derivative to which the original submitter has NO rights whatsoever since the IETF took their submission under the joint submissions rights model and derived yet another instance of the IP from it.

3) When the WG's vet the material more and based on their genesis, it is evolved even further the underlying WP would belong to those parties or their sponsors, unless the IETF is claiming it one would think.

The point is that because of the number of derivatives and that there is NO SPECIFIC ownership to anything but the original publication and since the IETF has carefully steered away from addressing the underlying technology rights issues... 

well - this makes the conveyance an exclusive one NO MATTER WHAT any stupid RFC's claim about it.

Todd

-----Original Message-----
>From: Todd Glassey <[email-masked]>
>Sent: Aug 18, 2006 8:35 AM
>To: Simon Josefsson <[email-masked]>, Harald Alvestrand <[email-masked]>